diff --git a/books/bookvol10.2.pamphlet b/books/bookvol10.2.pamphlet
index f5d370a..17d9d97 100644
--- a/books/bookvol10.2.pamphlet
+++ b/books/bookvol10.2.pamphlet
@@ -32230,7 +32230,7 @@ DifferentialExtension(R:Ring): Category == Ring with
 
     if R has PartialDifferentialRing Symbol then
       differentiate(x:%, v:Symbol):% ==
-        differentiate(x, differentiate(#1, v)$R)
+        differentiate(x, s +-> differentiate(s, v)$R)
 
 @
 <<DIFEXT.dotabb>>=
diff --git a/changelog b/changelog
index 478699b..fff4df8 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090510 tpd src/axiom-website/patches.html 20090510.17.tpd.patch
+20090510 tpd books/bookvol10.2 DIFEXT +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.16.tpd.patch
 20090510 tpd books/bookvol10.4 BALFACT +-> conversion
 20090510 tpd src/axiom-website/patches.html 20090510.15.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 7605666..82b22a6 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1192,5 +1192,7 @@ bookvol10.2 VECTCAT +-> conversion<br/>
 bookvol10.3 D01AQFA +-> conversion<br/>
 <a href="patches/20090510.16.tpd.patch">20090510.16.tpd.patch</a>
 bookvol10.4 BALFACT +-> conversion<br/>
+<a href="patches/20090510.17.tpd.patch">20090510.17.tpd.patch</a>
+bookvol10.2 DIFEXT +-> conversion<br/>
  </body>
 </html>
